#!/bin/bash

PROJ=mail
APP=${PWD##*/}
TZ=Europe/Prague

sudo docker build -t $PROJ/$APP .
sudo docker rm -f $APP
sudo docker run -d \
	--restart=always \
	-h $(hostname -f) \
	--name $APP \
	--net bridge \
	-p "25:25/tcp" \
	-p "587:587/tcp" \
	-e TZ=$TZ \
	-v $PWD/letsencrypt:/etc/letsencrypt:ro \
	-v $PWD/postfix/main.cf:/etc/postfix/main.cf:ro \
	-v $PWD/postfix/master.cf:/etc/postfix/master.cf:ro \
	$PROJ/$APP
